%bcond_without  tests

%global         srcname     azure-mgmt-containerregistry

Name:           python-%{srcname}
Version:        8.1.0
Release:        2%{?dist}
Summary:        Microsoft Azure Container Registry Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
Microsoft Azure Container Registry Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Wed Aug 11 2021 Major Hayden <major@mhtx.net> - 1:8.1.0-2
- Update to 8.1.0

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-2
- Update docs file list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-1
- Add epoch number for 8.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 8.1.0-1
- Update to 8.1.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 8.0.0-1
- First package.
